=== modified file 'lib/lp/bugs/browser/bugtracker.py'
--- lib/lp/bugs/browser/bugtracker.py	2011-06-02 21:33:22 +0000
+++ lib/lp/bugs/browser/bugtracker.py	2011-06-02 21:39:27 +0000
@@ -466,22 +466,11 @@
     In this class we assume that bug tracker components are always
     linked to source packages in the Ubuntu distribution.
     """
-
     schema = IBugTrackerComponent
     custom_widget('sourcepackagename', UbuntuSourcePackageNameWidget)
-
-    @property
-    def page_title(self):
-        return smartquote(
-            u'Link a distribution source package to the %s component'
-            % self.context.name)
-
-    @property
-    def field_names(self):
-        field_names = [
-            'sourcepackagename',
-            ]
-        return field_names
+    field_names = ['sourcepackagename']
+    label = 'Link a distribution source package to the Example component'
+    page_title = 'Link component'
 
     def setUpWidgets(self, context=None):
         for field in self.form_fields:

=== modified file 'lib/lp/bugs/browser/tests/test_bugtracker_component.py'
--- lib/lp/bugs/browser/tests/test_bugtracker_component.py	2010-11-16 02:03:57 +0000
+++ lib/lp/bugs/browser/tests/test_bugtracker_component.py	2011-06-02 21:39:27 +0000
@@ -49,9 +49,9 @@
         view = create_initialized_view(
             component, name='+edit', form=form)
         label = 'Link a distribution source package to the Example component'
-        self.assertEqual(label, view.page_title)
-        fields = ['sourcepackagename']
-        self.assertEqual(fields, view.field_names)
+        self.assertEqual(label, view.label)
+        self.assertEqual('Link component', view.page_title)
+        self.assertEqual(['sourcepackagename'], view.field_names)
 
     def test_linking(self):
         component = self.factory.makeBugTrackerComponent(

